Index: libroar/vio_dstr.c
===================================================================
--- libroar/vio_dstr.c	(revision 1365)
+++ libroar/vio_dstr.c	(revision 1616)
@@ -309,5 +309,5 @@
  chain[cc].type = ROAR_VIO_DSTR_OBJT_EOL;
 
- ROAR_WARN("roar_vio_open_dstr_vio(*): chain=%p", chain);
+ ROAR_DBG("roar_vio_open_dstr_vio(*): chain=%p", chain);
 
  if ( roar_vio_dstr_parse_opts(chain) == -1 ) {
@@ -375,5 +375,5 @@
 
   ROAR_DBG("roar_vio_dstr_set_defaults(*): i=%i, c->type=0x%.4x(%s)", i, c->type & 0xFFFF, roar_vio_dstr_get_name(c->type));
-  ROAR_WARN("roar_vio_dstr_set_defaults(*): i=%i, c->type=0x%.4x(%s): c->def=%p, c->def->type=%i", i, c->type & 0xFFFF,
+  ROAR_DBG("roar_vio_dstr_set_defaults(*): i=%i, c->type=0x%.4x(%s): c->def=%p, c->def->type=%i", i, c->type & 0xFFFF,
                    roar_vio_dstr_get_name(c->type), c->def, c->def == NULL ? -1 : c->def->type);
 
@@ -560,5 +560,5 @@
                     next->def, next->def == NULL ? -1 : next->def->type);
    if ( next->def != NULL ) {
-    ROAR_WARN("roar_vio_dstr_set_defaults(*): i=%i, c->type=0x%.4x(%s): next->def->o_flags=%i", i,
+    ROAR_DBG("roar_vio_dstr_set_defaults(*): i=%i, c->type=0x%.4x(%s): next->def->o_flags=%i", i,
                      c->type & 0xFFFF, roar_vio_dstr_get_name(c->type),
                      next->def->o_flags);
@@ -570,10 +570,10 @@
  }
 
- ROAR_WARN("roar_vio_dstr_set_defaults(*) = 0");
+ ROAR_DBG("roar_vio_dstr_set_defaults(*) = 0");
 
  return 0;
 }
 
-#define _ret(x) roar_vio_close(calls); ROAR_WARN("roar_vio_dstr_build_chain(*) = %i", (x)); return (x)
+#define _ret(x) roar_vio_close(calls); ROAR_DBG("roar_vio_dstr_build_chain(*) = %i", (x)); return (x)
 
 int     roar_vio_dstr_build_chain(struct roar_vio_dstr_chain * chain, struct roar_vio_calls * calls,
@@ -584,5 +584,5 @@
  int i;
 
- ROAR_WARN("roar_vio_dstr_build_chain(*) = ?");
+ ROAR_DBG("roar_vio_dstr_build_chain(*) = ?");
 
  if ( chain == NULL || calls == NULL )
@@ -692,5 +692,5 @@
  }
 
- ROAR_WARN("roar_vio_dstr_build_chain(*) = 0");
+ ROAR_DBG("roar_vio_dstr_build_chain(*) = 0");
  return 0;
 }
Index: libroar/vio_proto.c
===================================================================
--- libroar/vio_proto.c	(revision 1439)
+++ libroar/vio_proto.c	(revision 1616)
@@ -66,9 +66,9 @@
   *ed = 0;
 
- ROAR_WARN("roar_vio_proto_init_def(*): def->o_flags=%i", def->o_flags);
+ ROAR_DBG("roar_vio_proto_init_def(*): def->o_flags=%i", def->o_flags);
 
  ret = roar_vio_socket_init_dstr_def(def, dstr, -1, SOCK_STREAM, def);
 
- ROAR_WARN("roar_vio_proto_init_def(*): def->o_flags=%i", def->o_flags);
+ ROAR_DBG("roar_vio_proto_init_def(*): def->o_flags=%i", def->o_flags);
 
  if ( ed != NULL )
@@ -87,10 +87,10 @@
  char * tmp;
 
- ROAR_WARN("roar_vio_open_proto(calls=%p, dst=%p, dstr='%s', proto=%i, odef=%p) = ?", calls, dst, dstr, proto, odef);
+ ROAR_DBG("roar_vio_open_proto(calls=%p, dst=%p, dstr='%s', proto=%i, odef=%p) = ?", calls, dst, dstr, proto, odef);
 
  if ( calls == NULL || dst == NULL || odef == NULL )
   return -1;
 
- ROAR_WARN("roar_vio_open_proto(*): odef->o_flags=%i", odef->o_flags);
+ ROAR_DBG("roar_vio_open_proto(*): odef->o_flags=%i", odef->o_flags);
  ROAR_DBG("roar_vio_open_proto(*) = ?");
 
@@ -129,5 +129,5 @@
 
  ROAR_DBG("roar_vio_open_proto(*) = ?");
- ROAR_WARN("roar_vio_open_proto(*): proto=%i, host='%s', file='%s'", proto, host, dstr);
+ ROAR_DBG("roar_vio_open_proto(*): proto=%i, host='%s', file='%s'", proto, host, dstr);
 
  switch (proto) {
@@ -176,5 +176,5 @@
   return -1;
 
- ROAR_WARN("roar_vio_open_proto_http(*): status=%i", status);
+ ROAR_DBG("roar_vio_open_proto_http(*): status=%i", status);
 // ROAR_WARN("roar_vio_open_proto_http(*): buf='%s'", buf);
 
Index: libroar/vio_socket.c
===================================================================
--- libroar/vio_socket.c	(revision 1470)
+++ libroar/vio_socket.c	(revision 1616)
@@ -199,5 +199,5 @@
   dstr = "";
 
- ROAR_WARN("roar_vio_socket_init_dstr_def(def=%p, dstr='%s', hint=%i, type=%i, odef=%p) = ?", def, dstr, hint, type, odef);
+ ROAR_DBG("roar_vio_socket_init_dstr_def(def=%p, dstr='%s', hint=%i, type=%i, odef=%p) = ?", def, dstr, hint, type, odef);
 
  if ( hint == -1 ) {
